Bug 62359 - Mr. Proper can't clean
Mr. Proper can't clean
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ben LaHaise
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-03-30 01:42 EST by Chris Ricker
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-30 03:20:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-03-30 01:42:59 EST
This problem is with 2.4.18-0.12.

make mrproper doesn't work.  When I cd to /usr/src/linux-2.4.18-0.12 and do a
sudo make mrproper, I get back:

rm -f  parport-share.png  parport-multi.png  parport-structure.png 
parport-share.eps  parport-multi.eps  parport-structure.eps
rm -f procfs_example.sgml
make[1]: Leaving directory `/usr/src/linux-2.4.18-0.12/Documentation/DocBook'
make -C ulib clean
make: *** ulib: No such file or directory.  Stop.
make: *** [clean] Error 2

The problem is that ulib really doesn't exist, so all the references to it in
the Makefile are wrong.
Comment 1 Arjan van de Ven 2002-03-30 03:20:17 EST
Ben: did you add the ulib dir to the %files of kernel-source ?
Comment 2 Ben LaHaise 2002-03-31 16:51:53 EST
Added to cvs.  Should be fixed in 0.13+.

Note You need to log in before you can comment on or make changes to this bug.